using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;
using System.Linq;

using UnityEngine;
using UnityEngine.Internal;
using UnityEngine.UI;

using MVR;
using MeshVR;
using Battlehub.UIControls;
using Leap.Unity;

namespace Stopper {
    public class BinaryStreamReader {
        private byte[] bytes;
        private int offset = 0;

        public BinaryStreamReader(byte[] input) {
            bytes = input;
        }

        public int ReadInt32(){
            int output = BitConverterNonAlloc.ToInt32(bytes, offset);
            offset += sizeof(int);
            return output;
        }

        public float ReadSingle(){
            float output = BitConverterNonAlloc.ToSingle(bytes, offset);
            offset += sizeof(float);
            return output;
        }
    }
}