using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;
using System.Linq;

using UnityEngine;
using UnityEngine.Internal;
using UnityEngine.UI;

using MVR;
using MeshVR;
using Battlehub.UIControls;
using Leap.Unity;

namespace Stopper {
    public class BinaryStreamWriter {
        private LinkedList<byte> buffer = new LinkedList<byte>();

        public void Write(int i){
            foreach(byte b in BitConverter.GetBytes(i)){
                buffer.AddLast(b);
            }
        }

        public void Write(float f){
            foreach(byte b in BitConverter.GetBytes(f)){
                buffer.AddLast(b);
            }
        }

        public byte[] GetBytes(){
            return buffer.ToArray<byte>();
        }
    }
}